From 51832db28d3271c140f103aad7e7da8a8585eddf Mon Sep 17 00:00:00 2001
From: Chris Lamb <lamby@debian.org>
Date: Fri, 24 Jul 2009 19:42:04 +0200
Subject: [PATCH 2/7] Append " fstype=iso9660" to mounting status messages.

---
 packages/cdrom-detect/debian/cdrom-detect.postinst |    9 +++++----
 packages/cdrom-detect/debian/changelog             |    4 ++++
 2 files changed, 9 insertions(+), 4 deletions(-)

diff --git a/packages/cdrom-detect/debian/cdrom-detect.postinst b/packages/cdrom-detect/debian/cdrom-detect.postinst
index da0c1bb..5ead814 100755
--- a/packages/cdrom-detect/debian/cdrom-detect.postinst
+++ b/packages/cdrom-detect/debian/cdrom-detect.postinst
@@ -35,12 +35,12 @@ do
 	devices="$(list-devices cd; list-devices maybe-usb-floppy)"
 	for device in $devices; do
 		if mount -t iso9660 -o ro,exec $device /cdrom; then
-			log "CD-ROM mount succeeded: device=$device"
+			log "CD-ROM mount succeeded: device=$device fstype=iso9660"
 			mounted=1
 			db_set cdrom-detect/cdrom_device $device
 			break
 		else
-			log "CD-ROM mount failed: device=$device"
+			log "CD-ROM mount failed: device=$device fstype=iso9660"
 		fi
 	done
 
@@ -102,11 +102,12 @@ do
 			modprobe $module
 		fi
 		if mount -t iso9660 -o ro,exec $device /cdrom; then
-			log "CD-ROM mount succeeded: device=$device"
+			log "CD-ROM mount succeeded: device=$device fstype=iso9660"
+			db_set cdrom-detect/cdrom_fs iso9660
 			mounted=1
 			break
 		else
-			log "CD-ROM mount failed: device=$device"
+			log "CD-ROM mount failed: device=$device fstype=iso9660"
 			fail
 		fi
 	else
diff --git a/packages/cdrom-detect/debian/changelog b/packages/cdrom-detect/debian/changelog
index a2a30e3..2fbf886 100644
--- a/packages/cdrom-detect/debian/changelog
+++ b/packages/cdrom-detect/debian/changelog
@@ -1,7 +1,11 @@
 cdrom-detect (1.32) UNRELEASED; urgency=low
 
+  [ Colin Watson ]
   * Upgrade to debhelper v7.
 
+  [ Chris Lamb ]
+  * Append " fstype=iso9660" to mounting status messages.
+
  -- Colin Watson <cjwatson@debian.org>  Thu, 13 Aug 2009 14:29:04 +0100
 
 cdrom-detect (1.31) unstable; urgency=low
-- 
1.6.3.3

